Summary:       Tools for SSM (source-specific multicast) testing
Name:          ssmping
Version:       0.9
Release:       4%{?dist}%{?pext}
License:       distributable
Group:         Applications/Internet
Source0:       http://www.venaas.no/multicast/%{name}/%{name}-%{version}.tar.gz
Patch0:        %{name}-0.9-install.patch
URL:           http://www.venaas.no/multicast/%{name}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Stig Venaas <venaas@uninett.no>


%description
Ssmping is a tool for checking whether one can receive SSM from a
given host. If a host runs ssmpingd, users on other hosts can use
the ssmping client tool to test whether they can receive SSM from
the host. Another tool called asmping is provided to check whether
can receive ASM. Finally, there is also a tool called mcfirst to
check whether one can receive any given multicast session.


%prep
%setup -q
%patch0 -p1


%build
%{__make} %{?_smp_mflags} \
	CFLAGS="${RPM_OPT_FLAGS}"


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	PREFIX=%{_prefix}         \
	install


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc README
%{_bindir}/asmping
%{_bindir}/mcfirst
%{_bindir}/%{name}
%{_sbindir}/ssmpingd
%{_mandir}/man1/asmping.1*
%{_mandir}/man1/mcfirst.1*
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Mar 22 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.9-4
- Rewritten for buildsystem

* Thu Feb 08 2007 peter.pramberger@member.fsf.org 0.9-3
- some spec file cleanups (x86_64 support)

* Tue Sep 26 2006 peter.pramberger@member.fsf.org
- created
